aboutsummaryrefslogtreecommitdiff
path: root/scripts/trylink
diff options
context:
space:
mode:
authorBernhard Reutner-Fischer <rep.dot.nop@gmail.com>2008-10-23 13:49:21 +0000
committerBernhard Reutner-Fischer <rep.dot.nop@gmail.com>2008-10-23 13:49:21 +0000
commit2dfd295726a0e71c5901214b78cc13a0775a4102 (patch)
treed55ebaef5a7ce7a2a7fd01194085b8dc5563ce4b /scripts/trylink
parent01ea9716105307f61761eb6ca6e8add3c074fe8d (diff)
downloadbusybox-2dfd295726a0e71c5901214b78cc13a0775a4102.tar.gz
- give glob a chance
CROSS_COMPILE=~/foo-bar-baz would fail otherwise See http://www.uclibc.org/lists/buildroot/2008-October/011191.html
Diffstat (limited to 'scripts/trylink')
-rwxr-xr-xscripts/trylink5
1 files changed, 2 insertions, 3 deletions
diff --git a/scripts/trylink b/scripts/trylink
index 7a4a56dfd..7ea1d5cad 100755
--- a/scripts/trylink
+++ b/scripts/trylink
@@ -41,9 +41,8 @@ try() {
printf "%s\n" "$*" >>$EXE.out
printf "%s\n" "==========" >>$EXE.out
$debug && echo "Trying: $*"
- "$@" >>$EXE.out 2>&1
- exitcode=$?
- return $exitcode
+ $@ >>$EXE.out 2>&1
+ return $?
}
check_cc() {